REM FILE: install.bat
REM AUTH: Mark Chilcott
REM EDITOR: David B. Strong
REM DESC: Install Program for the USB Multi Media Keyboard
REM VERSION: 1.0
REM 
REM Copyright 2000 Hewlett Packard
REM 
REM $Revision: 4 $ 
REM $Date: 5/23/00 3:59p $ 
REM $Archive: /keyboard/USB/install.bat $
REM $Author: Chilcott $ 
REM $Editor: David B. Strong $ 

copy *.inf c:\WINDOWS\INF
copy *.cat c:\WINDOWS\SYSTEM
copy *.exe c:\WINDOWS\SYSTEM

REM 
REM merge the regisrty entry if it is in the block
if exist power.reg regedit /s power.reg

REM if the USB mm keyboard has already been installed and PnP
REM then detect it and patch it correctly
if exist c:\WINDOWS\SYSTEM\USBMMKBD.EXE goto driver

REM 
REM the keyboard might have been PnP without the driver
REM we must trigger the driver database to be rebuilt
REM and PnP to run
del c:\WINDOWS\INF\*.bin

goto done

:driver
REM the driver has already been installed
REM this is a running task so we must
REM kill it
start /w c:\windows\system\terminator -t usbmmkbd
REM 
REM copy in the new version
deltree /y c:\WINDOWS\SYSTEM\USBMMKBD.EXE
copy usbmmkbd.exe c:\windows\system

REM start the task running again
c:\windows\system\usbmmkbd.exe

REM 
REM there might be other files in the cabs dir we want to overwrite
if not exist C:\WINDOWS\INF\USBMMHID.INF goto done

copy *.inf C:\WINDOWS\INF
copy *.cat c:\WINDOWS\SYSTEM

:done

cd \recycled
deltree /y \recycled\block


CLS

